Subject: Re: Re: ipsra-pic compared to EAPoUDP

From: Paal Engelstad <[email-masked]>
Date: Tue, 12 Feb 2002 23:21:59 +0100

Erik,

> Tema: Re: ipsra-pic compared to EAPoUDP
> 
> > IMO, the PANA protocol will be a lightweight protocol designed for a
> > particular task, reflected in our req. document (roaming/fast handoffs --
> > re-authentication -- hooks for access control besides IPsec AH --
> > disconnect, etc. etc.)
> > 
> > I don't expect ending up with a solution running EAP-messages within ISAKMP.
> > - And then invent EAP-methods that will fullfill our requirements? Well...
> 
> Wouldn't that depend on the threat analysis for PANA resulting in security
> requirements for PANA?

Aboslutely.

> 
> If those requirements end up saying that PANA needs to run over secure channel
> for whatever reason than doing what PIC does (IKE phase 1 which is essentially
> a DH exchange and then EAP on top of that) *might* be a reasonable piece
> of the puzzle.

Absolutely!

> 
> IMHO dismissing solutions before the requirements are finished might be
> premature.
> 

I agree 100%.

It is definitely too early to dismiss solutions. 

Thanks for pointing it out. I think that all discussions concerning solutions at this point are expression of peoples beliefs. So take it only as an expression of my current beliefs :-)

Paal

>   Erik

---

From: Erik Nordmark <[email-masked]>
Date: Wed, 13 Feb 2002 00:12:30 +0100 (CET)

> Thanks for pointing it out. I think that all discussions concerning
> solutions at this point are expression of peoples beliefs. So take it only
> as an expression of my current beliefs :-)

I see the smiley but I think this warning can still be of some use:

Premature beliefs might need to forming of multiple different religions
in the WG, which probably isn't going to be helpful in the long run.

Thus trying to understand the problem, the environment, and the requirements
in more detail for the purpose of having the WG come to a better *shared*
understanding of things is better than expressing beliefs IMHO.

  Erik